-- +goose Up
-- +goose StatementBegin
CREATE TABLE IF NOT EXISTS opendtu_inverters (
    timestamp TIMESTAMPTZ,
    -- FOREIGN KEY (timestamp) REFERENCES opendtu_log(timestamp),
    -- 	inverter_serial is TEXT as some non-Hoymiles inverters use non-numeric serial numbers.
    -- 	An additional advantage is that it makes plotting in Grafana easier.
    inverter_serial TEXT,
    name TEXT,
    producing BOOL,
    limit_relative NUMERIC,
    limit_absolute NUMERIC
);

CREATE INDEX IF NOT EXISTS opendtu_inverters_timestamp_idx ON opendtu_inverters (timestamp);
-- +goose StatementEnd
-- +goose Down
-- +goose StatementBegin
-- +goose StatementEnd
